Loading...
Searching...
No Matches
juce::midi_ci::Message::PropertySubscribeResponse Struct Reference

## Detailed Description

See the MIDI-CI specification.

The documentation for this struct was generated from the following file:

- juce_midi_ci/ci/juce_CIMessages.h

Inheritance diagram for juce::midi_ci::Message::PropertySubscribeResponse:

## Public Member Functions

bool | operator== (const PropertySubscribeResponse &x) const
bool | operator!= (const PropertySubscribeResponse &x) const
Public Member Functions inherited from juce::midi_ci::Message::DynamicSizePropertyExchange
auto | tie () const

## Additional Inherited Members

Public Attributes inherited from juce::midi_ci::Message::DynamicSizePropertyExchange
std::byte | requestID {}
Span< const std::byte > | header
uint16_t | totalNumChunks {}
uint16_t | thisChunkNum {}
Span< const std::byte > | data

## Member Functions

## operator==()

bool juce::midi_ci::Message::PropertySubscribeResponse::operator== | ( | const PropertySubscribeResponse & | x | ) | const

inline

References juce::midi_ci::Message::DynamicSizePropertyExchange::tie(), and x.

Referenced by operator!=().

## operator!=()

bool juce::midi_ci::Message::PropertySubscribeResponse::operator!= | ( | const PropertySubscribeResponse & | x | ) | const

inline

References operator==(), and x.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited